Skip navigation

Upgrading from Tiger to Lion

5135 Views 10 Replies Latest reply: Sep 4, 2012 10:35 PM by imacclassic RSS
josephfromwheaton Calculating status...
Currently Being Moderated
Jul 1, 2011 12:17 PM

Can I upgrade to Lion directly from Tiger or do I need to buy Leopard first?

Mac mini, Mac OS X (10.4.11)
  • Carolyn Samit Level 10 Level 10 (84,150 points)
    Currently Being Moderated
    Jul 1, 2011 12:20 PM (in response to josephfromwheaton)

    You need to upgrade to Snow Leopard first. Not necessary to upgrade to Leopard first.

     

    Does your Mac meet Snow Leopard requirements?

     

     

    Mac OS X v10.6 Snow Leopard - Technical Specifications

    General requirements

    • Mac computer with an Intel processor
    • 1GB of memory
    • 5GB of available disk space
    • DVD drive for installation
    • Some features require a compatible Internet service provider; fees may apply.
    • Some features require Apple’s MobileMe service; fees and terms apply.
  • Kappy Level 10 Level 10 (221,025 points)
    Currently Being Moderated
    Jul 1, 2011 12:20 PM (in response to josephfromwheaton)

    You will need Snow Leopard in order to upgrade to Lion. Snow Leopard is required to access the Mac App Store in order to purchase and download Lion.

  • Niel Level 10 Level 10 (234,660 points)
    Currently Being Moderated
    Jul 1, 2011 12:20 PM (in response to josephfromwheaton)

    It looks like you'll need to go through Snow Leopard, and you'll definitely need to have an Intel Mac.

     

    (59106)

  • a brody Level 9 Level 9 (62,025 points)
    Currently Being Moderated
    Jul 5, 2011 9:10 AM (in response to josephfromwheaton)

    Make sure your Mac has the ability to upgrade to the minimum 2 GB of RAM first, and has a Core2Duo or better processor in Apple menu -> About This Mac.  CoreDuo and CoreSolo, and G4 are not Lion compatible.  You'll also want about 8 GB + 15% of your hard drive free (arbitrary number based on space requirements on Apple's spec page).

  • Erkki Kangas Level 4 Level 4 (3,715 points)
    Currently Being Moderated
    Sep 13, 2011 1:57 AM (in response to Carolyn Samit)

    I've been wondering about this situation. If someone is using Tiger now and wants Lion, does he need to buy Leopard first, then SnowLeopard and last Lion. As SnowLeopard can be considered an upgrade to Leopard (reading the EULA). If so, this sounds prohibitive.

     

    Does anyone know Apple's stand on this?

     

    Would purchasing Lion ThumbDrive be enough?

  • a brody Level 9 Level 9 (62,025 points)
    Currently Being Moderated
    Sep 13, 2011 2:02 AM (in response to Erkki Kangas)

    The thumb drive is enough, however, neither anyone with 10.4, 10.5, or 10.6 retail has sufficient install to install the thumb drive without an erase, unless one upgrades to 10.6.6, 10.6.7, or 10.6.8 first.     So the thumb drive is required + a couple of clone backups to ensure one does not lose data.  Lion's Migration Assistant can then pull in data that had been on 10.6.5 or earlier. Edit: This is not a question of Apple's stance, but how the installer works technically.  It won't upgrade and install on anything less than 10.6.6.

  • imacclassic Level 1 Level 1 (0 points)
    Currently Being Moderated
    Apr 10, 2012 4:07 PM (in response to Carolyn Samit)

    Sure could use some help with this,   [Been ill and brain gets overloaded]

     

    "About My iMac": iMac, iMac5,1, Intel Core 2 Duo, Processor Speed:          2 GHz, Number Of Processors:          1, Total Number Of Cores:          2, L2 Cache (per processor): 4 MB, Memory:          1 GB, Bus Speed:          667 MHz, Boot ROM Version: IM51.0090.B09, SMC Version: 1.8f2

    @ Carolyn Samit@a brody

    Does this information help determine whether I have enough space?

    Have a Fantom Drive that has not been installed. 

     

    iOS 10.4.11 installed.  Do I need to Install 10.5.1, then go to Snow Leopard 10.6.5 (Have replacement Install CD) or updates 10.6.6, 10.6.7, 10.6.8, to get to 10.7 Lion?

     

    Thanks for help Beth

  • BDAqua Level 10 Level 10 (114,755 points)
    Currently Being Moderated
    Apr 10, 2012 4:22 PM (in response to imacclassic)

    Hi Beth, no need for 10.5 at all, 10.6 & update to 10.6.8, then buy Ion 10.7 using the App Store.

     

    But Hard Drive free space, do a Get Info on the Machintosh HD, that should tell us.

  • imacclassic Level 1 Level 1 (0 points)
    Currently Being Moderated
    Sep 4, 2012 10:30 PM (in response to BDAqua)

    Updated last weekend 17" iMac Intel (2006) from Tiger (10.4.11) to Leopard (10.5.6) pretty smoothly, except yesterday lost access to Mail.app (3.5), probably due to Plaxo for Mac (3d party issue)... 

     

    Next planning to use Mac OS X 10.5.8 Combo Update from Leopard 10.5.6 to 10.6.8... because I understand that this late 2006 model iMac will not run well on Lion

    Mac OS X 10.5.8 Combo Update The 10.5.8 Update is recommended for all users running Mac OS X Leopard version 10.5 to 10.5.7, and includes general operating system fixes that enhance the stability, compatibility and security of your Mac.

    BDAqua wrote:

     

    Hi Beth, no need for 10.5 at all, 10.6 & update to 10.6.8, then buy Ion 10.7 using the App Store.

     

    But Hard Drive free space, do a Get Info on the Machintosh HD, that should tell us.

     

     

     

    Wanted to let you know the first upgrade was ok but not sure how to open Appleworks documents now? Something in Utilities maybe?

     

    Next, now Safari 3.2.1 wants updated to be able to view iTunes iPhone apps OYE!  So there is list of 6 on Software Updates

    
  • imacclassic Level 1 Level 1 (0 points)
    Currently Being Moderated
    Sep 4, 2012 10:35 PM (in response to imacclassic)

    SO using Snow Leopard!   iPhoto had to be tackled next.   I've learned from CPU Sr Advisor from Apple that they don't recommend  Lion on my iMac hardware, compatibility issues.   It is really slow now between apps, drives me bonkers because I multi-task like crazy.

     

    Was able to get iLife'09 but am only up to 8.1 iPhoto.   Next step working with Advisor about iPhoto issues.

     

    Next I need to learn more about wifi.  iPhone has built-in Airport but current DSL may not have wireless modem installed.  Is there a book for Dummies about all this stuff?

     

    Looks like I'll be shopping for a used iMac next year...

     

    Thank y ou for your assistance throught this process.

Actions

More Like This

  • Retrieving data ...

Bookmarked By (1)

Legend

  • This solved my question - 10 points
  • This helped me - 5 points
This site contains user submitted content, comments and opinions and is for informational purposes only. Apple disclaims any and all liability for the acts, omissions and conduct of any third parties in connection with or related to your use of the site. All postings and use of the content on this site are subject to the Apple Support Communities Terms of Use.